## Add a participant `client.RealtimeKit.Meetings.AddParticipant(ctx, appID, meetingID, params) (*MeetingAddParticipantResponse, error)` **post** `/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants` Adds a participant to the given meeting ID. ### Parameters - `appID string` The app identifier tag. - `meetingID string` - `params MeetingAddParticipantParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `CustomParticipantID param.Field[string]` Body param: A unique participant ID. You must specify a unique ID for the participant, for example, UUID, email address, and so on. - `PresetName param.Field[string]` Body param: Name of the preset to apply to this participant. - `Name param.Field[string]` Body param: (Optional) Name of the participant. - `Picture param.Field[string]` Body param: (Optional) A URL to a picture to be used for the participant. ### Returns - `type MeetingAddParticipantResponse struct{…}` - `Success bool` Success status of the operation - `Data MeetingAddParticipantResponseData` Represents a participant. - `ID string` ID of the participant. - `Token string` The participant's auth token that can be used for joining a meeting from the client side. - `CreatedAt Time` When this object was created. The time is returned in ISO format. - `CustomParticipantID string` A unique participant ID generated by the client. - `PresetName string` Preset applied to the participant. - `UpdatedAt Time` When this object was updated. The time is returned in ISO format. - `Name string` Name of the participant. - `Picture string` URL to a picture of the participant. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.Meetings.AddParticipant( context.TODO(), "app_id", "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", realtime_kit.MeetingAddParticipantParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), CustomParticipantID: cloudflare.F("custom_participant_id"), PresetName: cloudflare.F("preset_name"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Success) } ``` #### Response ```json { "success": true, "data": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "token": "token", "created_at": "2019-12-27T18:11:19.117Z", "custom_participant_id": "custom_participant_id", "preset_name": "preset_name", "updated_at": "2019-12-27T18:11:19.117Z", "name": "name", "picture": "https://example.com" } } ```